<div id="body" class="container-fluid">
  <div class="row">
    <div class="col-24">
      <div class="form-row">
        <div class="form-group form-group-sm col-24 col-lg-24 text-left">
          <h6>CPE CLLI</h6>
        </div>
      </div>
      <div class="form-row">
        <div class="col-24 col-xl-22 offset-xl-1 col-xxl-16 offset-xxl-4">

          <br />
        </div>
      </div>
      <div class="form-now">
        <form [formGroup]="pageForm">
          <div class="form-row text-center m-1">
            <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
              <button type="button" class="btn btn-sm btn-secondary btn-block" routerLink="/tools/cpe-clli">
                Cancel
              </button>
            </div>
            <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
              <button type="button" [disabled]="!pageForm.valid" class="btn btn-sm btn-primary btn-block" (click)="onSubmit()">
                Save
              </button>
            </div>
          </div>
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="mb-3">
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8 text-danger">CLLI ID: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="clliId" maxlength="11" />
                    <div *ngIf="clliId.invalid && (clliId.dirty || clliId.touched)">
                      <span *ngIf="clliId.errors.required" class="form-text text-danger">
                        CLLI ID is required
                      </span>
                      <span *ngIf="clliId.errors.minlength" class="form-text text-danger">
                        CLLI ID must be 11 characters long.
                      </span>
                    </div>
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">Site Name: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="siteNme" />
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8 text-danger">City: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="cityNme" (blur)="onCityNameBlur($event)" />
                    <app-form-control-validation [control]="pageForm.controls.cityNme" [sourceName]="'City'"></app-form-control-validation>
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8 text-danger">State: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <dx-select-box name="states" [items]="statesList"
                                   displayExpr="usStateName" valueExpr="usStateId"
                                   formControlName="sttId" searchMode="startswith"
                                   [searchEnabled]="true" [searchExpr]="['usStateName']"
                                   (onSelectionChanged)="onStateChange($event)"></dx-select-box>
                    <app-form-control-validation [control]="pageForm.controls.sttId" [sourceName]="'State'"></app-form-control-validation>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8 text-danger">Address: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="addrTxt" />
                    <app-form-control-validation [control]="pageForm.controls.addrTxt" [sourceName]="'Address'"></app-form-control-validation>
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8 text-danger">Zip Code: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="zipCd" />
                    <app-form-control-validation [control]="pageForm.controls.zipCd" [sourceName]="'Zip Code'"></app-form-control-validation>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">Legacy Community Name: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="cmntyNme" />
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8 text-danger"> County: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="countyNme" />
                    <app-form-control-validation [control]="pageForm.controls.countyNme" [sourceName]="'County'"></app-form-control-validation>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="mb-3">
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">Floor: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="flr" />
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8"> Room: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="room" />
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">Latitude Coordinate: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="lttdeCoord" />
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8"> Longitude Coordinate: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="lngdeCoord" />
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="mb-3">
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">T-Mobile Owned: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <dx-radio-group [items]="rbtIsSprintOwned" formControlName="sprntOwndCd" layout="horizontal" displayExpr="text" valueExpr="value"></dx-radio-group>
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8"> Site Purpose: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="sitePurpose" />
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">Site Owner: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="siteOwnr" />
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8"> Site Phone: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="sitePhn" />
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4"> Comments: </label>
                  <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                    <textarea class="form-control form-control-sm" formControlName="cmntTxt"
                              rows="5" maxlength="500"></textarea>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4"> CC: </label>
                  <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                    <textarea class="form-control form-control-sm" formControlName="emailCc"
                              rows="5" maxlength="500"></textarea>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col-24 col-lg-4"> &nbsp; </label>
                  <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                    <label> Note: Use comma (,) to separate emails  </label>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">Peoplesoft Update: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <dx-date-box type="date" width="100%" formControlName="psoftUpdDt" placeholder="Peoplesoft Update Date" [acceptCustomValue]="false" displayFormat="shortDate"></dx-date-box>
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <div class="col-24 col-lg-24 pl-0 pl-lg-3">
                    <dx-check-box [value]="true" text=" Send email to PeopleSoft " formControlName="psoftSendCd"></dx-check-box>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">SSTAT Update: </label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <dx-date-box type="date" width="100%" formControlName="sstatUpdDt" placeholder="SSTAT Update Date" [acceptCustomValue]="false" displayFormat="shortDate"></dx-date-box>
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <div class="col-24 col-lg-24 pl-0 pl-lg-3">
                    <dx-check-box text=" Make inactive " formControlName="recStusId"></dx-check-box>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
          <div class="form-row text-center m-1">
            <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
              <button type="button" class="btn btn-sm btn-secondary btn-block" routerLink="/tools/cpe-clli">
                Cancel
              </button>
            </div>
            <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
              <button type="button" [disabled]="!pageForm.valid" class="btn btn-sm btn-primary btn-block" (click)="onSubmit()">
                Save
              </button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>


